Name:		perl-File-Copy-Recursive-Reduced
Version:	0.008
Release:	%mkrel 2
Summary:	Recursive copying of files and directories within Perl 5 toolchain
Group:		Development/Perl
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/File-Copy-Recursive-Reduced
Source0:	https://cpan.metacpan.org/authors/id/J/JK/JKEENAN/File-Copy-Recursive-Reduced-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(lib)
BuildRequires:	perl(Path::Tiny)
BuildRequires:	perl(Test::More) >= 0.44
# Dependencies

%description
This library is intended as a not-quite-drop-in replacement for certain
functionality provided by CPAN distribution File-Copy-Recursive. The library
provides methods similar enough to that distribution's fcopy() and dircopy()
functions to be usable in those CPAN distributions often described as being
part of the Perl toolchain.

%prep
%setup -q -n File-Copy-Recursive-Reduced-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README Todo
%{perl_vendorlib}/File/
%{_mandir}/man3/File::Copy::Recursive::Reduced.3*



%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.008-2.mga10
+ Revision: 2234934
- Mageia 10 Mass Rebuild

* Tue Jan 28 2025 daviddavid <daviddavid> 0.008-1.mga10
+ Revision: 2143073
- update to 0.008

* Mon Mar 28 2022 umeabot <umeabot> 0.006-4.mga9
+ Revision: 1830752
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.006-3.mga8
+ Revision: 1504458
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.006-2.mga7
+ Revision: 1283662
- Mageia 7 Mass Rebuild

* Tue May 01 2018 tv <tv> 0.006-1.mga7
+ Revision: 1224381
- imported package perl-File-Copy-Recursive-Reduced


* Tue Apr 24 2018 Paul Howarth <paul@city-fan.org> - 0.006-1
- Update to 0.006
  - File::Copy::Recursive 0.41 has been released to CPAN and addresses the
    problem which was the focus of File::Copy::Recursive::Reduced; Hence, FCR2
    is now feature-complete

* Fri Apr 20 2018 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005
  - Introduce rcopy(), a stripped-down replacement for
    File::Copy::Recursive::rcopy()
  - Implement copying of symlinks within all three public functions; at this
    point we should be able to make substitutions for File::Copy::Recursive's
    fcopy(), dircopy() and rcopy() functions in a large proportion of toolchain
    libraries, particularly in test suites

* Wed Apr 18 2018 Paul Howarth <paul@city-fan.org> - 0.003-1
- Initial RPM version
